/*
   cipelib - library routines common to CIPE (user-mode part) and PKCIPE

   Copyright 2000 Olaf Titz <olaf@bigred.inka.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version
   2 of the License, or (at your option) any later version.
*/
/* $Id: debug.c,v 1.2 2000/11/22 20:23:38 olaf Exp $ */

#include <stdarg.h>
#include <stdio.h>
#include <unistd.h>
#include "cipelib.h"

int debugging=0;

void logdebug(int level, const char *fmt, ...)
{
    va_list v;
    va_start(v, fmt);
    if (debugging&level)
        cipe_vsyslog(LOG_DEBUG, fmt, v);
    va_end(v);
}

